GNU Radio's IRIDIUM_TOOLKIT Package: gr::iridium::tagged_burst_to_pdu Class Reference

GNU Radio's IRIDIUM_TOOLKIT Package

Public Types | Public Member Functions | Static Public Member Functions | List of all members
gr::iridium::tagged_burst_to_pdu Class Referenceabstract

<+description of block+> More...

`#include <tagged_burst_to_pdu.h>`

Inheritance diagram for gr::iridium::tagged_burst_to_pdu:
[legend]

## Public Types
typedef boost::shared_ptr< tagged_burst_to_pdu > | sptr

## Public Member Functions
virtual uint64_t | get_n_dropped_bursts ()=0
virtual int | get_output_queue_size ()=0
virtual int | get_output_max_queue_size ()=0

## Static Public Member Functions
static sptr | make (int max_burst_size, float relative_center_frequency, float relative_span, float d_relative_sample_rate, int outstanding_limit, bool drop_overflow)
| Return a shared_ptr to a new instance of iridium::tagged_burst_to_pdu. More...

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## ◆ sptr

typedef boost::shared_ptr<tagged_burst_to_pdu> gr::iridium::tagged_burst_to_pdu::sptr

## Member Function Documentation

## ◆ get_n_dropped_bursts()

virtual uint64_t gr::iridium::tagged_burst_to_pdu::get_n_dropped_bursts | ( |  | ) |
| pure virtual

Implemented in gr::iridium::tagged_burst_to_pdu_impl.

## ◆ get_output_max_queue_size()

virtual int gr::iridium::tagged_burst_to_pdu::get_output_max_queue_size | ( |  | ) |
| pure virtual

## ◆ get_output_queue_size()

virtual int gr::iridium::tagged_burst_to_pdu::get_output_queue_size | ( |  | ) |
| pure virtual

## ◆ make()

static sptr gr::iridium::tagged_burst_to_pdu::make | ( | int | max_burst_size,
|  | float | relative_center_frequency,
|  | float | relative_span,
|  | float | d_relative_sample_rate,
|  | int | outstanding_limit,
|  | bool | drop_overflow
| ) |  |
| static

Return a shared_ptr to a new instance of iridium::tagged_burst_to_pdu.

To avoid accidental use of raw pointers, iridium::tagged_burst_to_pdu's constructor is in a private implementation class. iridium::tagged_burst_to_pdu::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- tagged_burst_to_pdu.h